MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0022827Open CASCADE[OCCT] OCCT:WOKpublic2011-12-05 16:482016-05-20 12:24
Reporterabv 
Assigned Toabv 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.5.2 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0022827: Make non-CPP source files (CDLs, headers) to appear in MS VS project files
DescriptionCurrently WOK generates MS VS project files that do not list CDL files, headers, and other sources. This is inconvenient. It should be possible to add these files in generated projects for easier modification.
Steps To ReproduceNot required
TagsNo tags attached.
Test case number
Attached Files

- Relationships
related to 0027115closedbugmaster Community Configuration, genproj - add headers to generated MS VS projects 
child of 0025114closedabv Open CASCADE CMake-based build tools for OCCT 7.0 

-  Notes
(0036191)
abv (manager)
2015-01-19 10:56

For 7.0 version, please improve CMake procedure to:
- include header files in Visual Studio projects
- have dedicated project for generation of Overview documentation; that project should have documentation files from dox subdirectory as sources

The goal is to have all textual OCCT sources included explicitly in Visual Studio project so that they can be searched and updated together
(0036195)
git (administrator)
2015-01-19 12:29

Branch CR22827 has been created by ski.

SHA-1: 963dab491200e258f135c0736133350e836e82ef


Detailed log of new commits:

Author: ski
Date: Mon Jan 19 12:29:42 2015 +0300

    0022827: Make non-CPP source files (CDLs, headers) to appear in MS VS project files
    
    Header files(*.h, *.hxx, *.lxx, *.gxx) were included in Visual Studio projects.
(0036247)
git (administrator)
2015-01-20 12:42

Branch CR22827 has been updated by ski.

SHA-1: a179121e2ab39ef1d2d3ad0d22d3c93f15a0ff00


Detailed log of new commits:

Author: ski
Date: Tue Jan 20 12:42:31 2015 +0300

    Dedicated project for generation of Overview documentation is created

(0036248)
ski (developer)
2015-01-20 12:44

Header files(*.h, *.hxx, *.lxx, *.gxx) were included in Visual Studio projects.
Dedicated project for generation of Overview documentation is created.

Please, review.
(0054242)
git (administrator)
2016-05-20 12:24

Branch CR22827 has been deleted by inv.

SHA-1: a179121e2ab39ef1d2d3ad0d22d3c93f15a0ff00

- Related Changesets
occt: master d7b60a9f
Timestamp: 2015-01-19 09:29:42
Author: abv
Committer: abv
Details ] Diff ]
0022827: Make non-CPP source files (CDLs, headers) to appear in MS VS project files

Header files(*.h, *.hxx, *.lxx, *.gxx) were included in Visual Studio projects.
mod - adm/cmake/BuildToolkit.cmake Diff ] File ]
occt: master adc33035
Timestamp: 2015-07-10 10:44:52
Author: abv
Committer: abv
Details ] Diff ]
0022827: Make non-CPP source files (CDLs, headers) to appear in MS VS project files -- documentation

Generation of OCCT overview documentation added as building of "Overview" project.
BUILD_OCCT_OVERVIEW variable introduced to offer generation OCCT overview documentation in html format.
Overview md files added to overview OCCT project.

"Building with CMake" article updated; overview.html copy into an install directory.
CMAKE_BUILD_TYPE for single-configuration generators described; BUILD_CONFIGURATION removed.
add - adm/cmake/doxygen.cmake Diff ] File ]
rm - adm/cmake/occt_gendoc.cmake Diff ] File ]
mod - adm/cmake/occt_macros.cmake Diff ] File ]
mod - CMakeLists.txt Diff ] File ]
add - dox/CMakeLists.txt Diff ] File ]
mod - dox/dev_guides/building/cmake/cmake.md Diff ] File ]
add - dox/resources/overview.html Diff ] File ]

- Issue History
Date Modified Username Field Change
2011-12-05 16:48 abv New Issue
2011-12-05 16:48 abv Assigned To => kgv
2012-03-21 14:18 abv Target Version 6.5.3 => 6.5.4
2012-10-17 12:39 kgv Assigned To kgv => ibs
2012-10-20 10:44 abv Status new => assigned
2012-10-20 10:44 abv Target Version 6.5.4 => 6.6.0
2012-12-27 14:01 ibs Assigned To ibs => bugmaster
2012-12-27 14:01 ibs Status assigned => resolved
2013-01-18 10:32 bugmaster Assigned To bugmaster => ibs
2013-01-18 10:32 bugmaster Status resolved => assigned
2013-02-26 15:44 abv Target Version 6.6.0 => 6.7.0
2013-12-21 10:23 abv Target Version 6.7.0 => 6.7.1
2014-04-04 18:19 abv Target Version 6.7.1 => 6.8.0
2014-09-26 09:48 abv Target Version 6.8.0 => 7.1.0
2015-01-19 10:56 abv Note Added: 0036191
2015-01-19 10:56 abv Assigned To ibs => ski
2015-01-19 10:56 abv Target Version 7.1.0 => 7.0.0
2015-01-19 12:29 git Note Added: 0036195
2015-01-20 12:42 git Note Added: 0036247
2015-01-20 12:44 ski Note Added: 0036248
2015-01-20 12:44 ski Assigned To ski => abv
2015-01-20 12:44 ski Status assigned => resolved
2015-01-20 12:44 ski Steps to Reproduce Updated View Revisions
2015-01-22 09:19 abv Assigned To abv => ssv
2015-07-02 19:39 ibs Assigned To ssv => abv
2015-07-02 19:39 ibs Status resolved => reviewed
2015-07-02 19:40 ibs Relationship added child of 0025114
2015-07-23 11:55 abv Changeset attached => occt master adc33035
2015-07-23 11:55 abv Changeset attached => occt master d7b60a9f
2015-07-23 11:55 abv Status reviewed => verified
2015-07-23 11:55 abv Resolution open => fixed
2016-01-26 20:10 kgv Relationship added related to 0027115
2016-04-20 15:43 aiv Fixed in Version => 7.0.0
2016-04-20 15:49 aiv Status verified => closed
2016-05-20 12:24 git Note Added: 0054242


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker